package com.flossom.common.core.domain.req;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalTime;
import java.util.List;

/**
 * 用户护理日志数据库查询对象
 *
 * @author flossom
 * @date 2024-01-29
 */
public class UserNursingLogVm {

    /**
     * 多个用户编号，','隔开
     */
    private List<Long> userIdList;

    /**
     * 仪器ID列表
     */
    private List<Long> instrumentIdList;

    /**
     * 小程序标签ID列表
     */
    private List<Long> miniProgramTagList;

    /**
     * 模式ID列表
     */
    private List<Long> modeIdList;

    /**
     * 最新护理时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private List<LocalDateTime> updateTimeRange;

    /**
     * 护理时长
     */
    @DateTimeFormat(pattern = "HH:mm:ss")
    private List<LocalTime> nursingTimeRange;


    public UserNursingLogVm() {
    }

    public List<Long> getUserIdList() {
        return userIdList;
    }

    public void setUserIdList(List<Long> userIdList) {
        this.userIdList = userIdList;
    }

    public List<Long> getInstrumentIdList() {
        return instrumentIdList;
    }

    public void setInstrumentIdList(List<Long> instrumentIdList) {
        this.instrumentIdList = instrumentIdList;
    }

    public List<Long> getMiniProgramTagList() {
        return miniProgramTagList;
    }

    public void setMiniProgramTagList(List<Long> miniProgramTagList) {
        this.miniProgramTagList = miniProgramTagList;
    }

    public List<Long> getModeIdList() {
        return modeIdList;
    }

    public void setModeIdList(List<Long> modeIdList) {
        this.modeIdList = modeIdList;
    }

    public List<LocalDateTime> getUpdateTimeRange() {
        return updateTimeRange;
    }

    public void setUpdateTimeRange(List<LocalDateTime> updateTimeRange) {
        this.updateTimeRange = updateTimeRange;
    }

    public List<LocalTime> getNursingTimeRange() {
        return nursingTimeRange;
    }

    public void setNursingTimeRange(List<LocalTime> nursingTimeRange) {
        this.nursingTimeRange = nursingTimeRange;
    }
}
